valgrind: update to 3.10.1 and fix kernel >= 4.0
authorHauke Mehrtens <hauke@hauke-m.de>
Sat, 11 Jul 2015 20:55:36 +0000 (20:55 +0000)
committerHauke Mehrtens <hauke@hauke-m.de>
Sat, 11 Jul 2015 20:55:36 +0000 (20:55 +0000)
This updates valgrind to version 3.10.1 and make configure work with
kernel version > 4.0. This patch was taken from upstream valgrind.

Signed-off-by: Hauke Mehrtens <hauke@hauke-m.de>
SVN-Revision: 46302

package/devel/valgrind/Makefile
package/devel/valgrind/patches/120-Fix-configure-for-Linux-kernel-4.0-rc1.patch [new file with mode: 0644]
package/devel/valgrind/patches/200-musl_fix.patch

index 354e3c4..3abed9c 100644 (file)
@@ -8,12 +8,12 @@
 include $(TOPDIR)/rules.mk
 
 PKG_NAME:=valgrind
-PKG_VERSION:=3.10.0
+PKG_VERSION:=3.10.1
 PKG_RELEASE:=1
 
 PKG_SOURCE:=$(PKG_NAME)-$(PKG_VERSION).tar.bz2
 PKG_SOURCE_URL:=http://valgrind.org/downloads/
-PKG_MD5SUM:=7c311a72a20388aceced1aa5573ce970
+PKG_MD5SUM:=60ddae962bc79e7c95cfc4667245707f
 
 PKG_MAINTAINER:=Felix Fietkau <nbd@openwrt.org>
 PKG_LICENSE:=GPL-2.0+
diff --git a/package/devel/valgrind/patches/120-Fix-configure-for-Linux-kernel-4.0-rc1.patch b/package/devel/valgrind/patches/120-Fix-configure-for-Linux-kernel-4.0-rc1.patch
new file mode 100644 (file)
index 0000000..b833f18
--- /dev/null
@@ -0,0 +1,42 @@
+From bf803555d10b5b4c9223b24bf13845ee88d8f3b5 Mon Sep 17 00:00:00 2001
+From: cborntra <cborntra@a5019735-40e9-0310-863c-91ae7b9d1cf9>
+Date: Mon, 23 Feb 2015 20:19:03 +0000
+Subject: [PATCH] Fix configure for Linux kernel >= 4.0-rc1 In addition raise
+ the minimal Linux version to 2.6 as there is almost no test coverage for 2.4
+ and 2.6 was released in 2003.
+
+git-svn-id: svn://svn.valgrind.org/valgrind/trunk@14955 a5019735-40e9-0310-863c-91ae7b9d1cf9
+---
+ NEWS         |  3 +++
+ configure.ac | 18 ++++++------------
+ 2 files changed, 9 insertions(+), 12 deletions(-)
+
+--- a/configure.ac
++++ b/configure.ac
+@@ -303,20 +303,14 @@ case "${host_os}" in
+         kernel=${UNAME_R:-`uname -r`}
+         case "${kernel}" in
+-             2.6.*|3.*) 
+-                  AC_MSG_RESULT([2.6.x/3.x family (${kernel})])
+-                  AC_DEFINE([KERNEL_2_6], 1, [Define to 1 if you're using Linux 2.6.x or Linux 3.x])
+-                  ;;
+-
+-             2.4.*) 
+-                  AC_MSG_RESULT([2.4 family (${kernel})])
+-                  AC_DEFINE([KERNEL_2_4], 1, [Define to 1 if you're using Linux 2.4.x])
+-                  ;;
+-
+-             *) 
++             0.*|1.*|2.0.*|2.1.*|2.2.*|2.3.*|2.4.*|2.5.*) 
+                   AC_MSG_RESULT([unsupported (${kernel})])
+-                  AC_MSG_ERROR([Valgrind works on kernels 2.4, 2.6])
++                  AC_MSG_ERROR([Valgrind needs a Linux kernel >= 2.6])
+                   ;;
++
++             *)
++                  AC_MSG_RESULT([2.6 or later (${kernel})])
++                    ;;
+         esac
+         ;;
index 7bb2029..e61e822 100644 (file)
@@ -34,7 +34,7 @@
  #else
 --- a/configure.ac
 +++ b/configure.ac
-@@ -1031,8 +1031,6 @@ case "${GLIBC_VERSION}" in
+@@ -1025,8 +1025,6 @@ case "${GLIBC_VERSION}" in
  
       *)
        AC_MSG_RESULT([unsupported version ${GLIBC_VERSION}])